Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81116 - undefined symbol error in /lib/tls/libthread_db.so.1
Summary: undefined symbol error in /lib/tls/libthread_db.so.1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-05 01:49 UTC by Nathan G. Grennan
Modified: 2016-11-24 14:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 22:43:28 UTC


Attachments (Terms of Use)

Description Nathan G. Grennan 2003-01-05 01:49:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
I run gdb xmms and I get the error below

dlopen failed on 'libthread_db.so.1' - /lib/tls/libthread_db.so.1: undefined
symbol: assert
GDB will not be able to debug pthreads.

This is after upgrading glibc to 2.3.1-30. Before I upgraded I had a similar
error about he same library in a different location and with a different
undefined symbol, which is why I upgraded.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install glibc-2.3.1-30
2. install gdb
3. install xmms
4. run startx
5. run gdb xmms
    

Actual Results:  dlopen failed on 'libthread_db.so.1' -
/lib/tls/libthread_db.so.1: undefined symbol: assert

Expected Results:  no error about the library and for it to be able to debu pthreads

Additional info:

This is a Phoebe system.

Comment 1 Jakub Jelinek 2003-01-07 16:24:17 UTC
Fix just posted to libc-hacker, will be fixed in glibc-2.3.1-33.

Comment 2 Nathan G. Grennan 2003-01-14 10:09:05 UTC
glibc-2.3.1-34

gdb xmms

dlopen failed on 'libthread_db.so.1' - /lib/tls/libthread_db.so.1: undefined
symbol: ps_get_thread_area


Comment 3 Nathan G. Grennan 2003-01-15 22:43:28 UTC
Fixed with 2.3.1-36


Note You need to log in before you can comment on or make changes to this bug.